Debian Bug report logs - #547525
FTBFS on armel: 'OV_CALLBACKS_STREAMONLY' undeclared

version graph

Package: mpd; Maintainer for mpd is mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>; Source for mpd is src:mpd.

Reported by: Luk Claes <luk@debian.org>

Date: Sun, 20 Sep 2009 14:09:01 UTC

Severity: serious

Tags: patch

Found in version mpd/0.15.3-1

Fixed in version mpd/0.15.3-1.1

Done: Christophe Mutricy <xtophe@videolan.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#547525; Package mpd. (Sun, 20 Sep 2009 14:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
New Bug report received and forwarded. Copy sent to Decklin Foster <decklin@red-bean.com>. (Sun, 20 Sep 2009 14:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS on armel: 'OV_CALLBACKS_STREAMONLY' undeclared
Date: Sun, 20 Sep 2009 16:00:43 +0200
Package: mpd
Version: 0.15.3-1
Severity: serious

Hi

mpd fails to build on armel with the following message (more info in the full build log on buildd.d.o). This is currently one of the blockers for the faad2 transition.

cc -std=gnu99 -DHAVE_CONFIG_H -I. -I/build/buildd-mpd_0.15.3-1-armel-cDr5au/mpd-0.15.3/. -I.  -I/build/buildd-mpd_0.15.3-1-armel-cDr5au/mpd-0.15.3/./src -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include       -I/usr/include/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include      -I/usr/include         -I/usr/include/libcue-1.3       -I/usr/include/alsa    -D_REENTRANT   -pthread    -Wall -Wextra -Wno-deprecated-declarations -Wmissing-prototypes -Wdeclaration-after-statement -Wshadow -Wpointer-arith -Wstrict-prototypes -Wcast-qual -Wwrite-strings -pedantic -D_GNU_SOURCE     -g -O2 -g -Wall -O2 -c -o src_mpd-vorbis_plugin.o `test -f 'src/decoder/vorbis_plugin.c' || echo '/build/buildd-mpd_0.15.3-1-armel-cDr5au/mpd-0.15.3/./'`src/decoder/vorbis_plugin.c
/build/buildd-mpd_0.15.3-1-armel-cDr5au/mpd-0.15.3/./src/decoder/vorbis_plugin.c: In function 'vorbis_tag_dup':
/build/buildd-mpd_0.15.3-1-armel-cDr5au/mpd-0.15.3/./src/decoder/vorbis_plugin.c:386: error: 'OV_CALLBACKS_STREAMONLY' undeclared (first use in this function)
/build/buildd-mpd_0.15.3-1-armel-cDr5au/mpd-0.15.3/./src/decoder/vorbis_plugin.c:386: error: (Each undeclared identifier is reported only once
/build/buildd-mpd_0.15.3-1-armel-cDr5au/mpd-0.15.3/./src/decoder/vorbis_plugin.c:386: error: for each function it appears in.)
make[2]: *** [src_mpd-vorbis_plugin.o] Error 1

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#547525; Package mpd. (Sun, 20 Sep 2009 15:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Sun, 20 Sep 2009 15:30:07 GMT) Full text and rfc822 format available.

Message #10 received at 547525@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 547525@bugs.debian.org, debian-arm@lists.debian.org, joeyh@debian.org
Subject: Re: FTBFS on armel: 'OV_CALLBACKS_STREAMONLY' undeclared
Date: Sun, 20 Sep 2009 17:28:24 +0200
Hi

Maybe it's an option to revert using libvorbisidec-dev and use
libvorbis-dev again on armel to fix the FTBFS of mpd?

debian-arm and Joey Cc-ed so they can give input as I'm unsure if
current ARM hardware does have floating point support to make this
reasonable.

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#547525; Package mpd. (Sun, 20 Sep 2009 20:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Guy <martinwguy@gmail.com>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Sun, 20 Sep 2009 20:48:08 GMT) Full text and rfc822 format available.

Message #15 received at 547525@bugs.debian.org (full text, mbox):

From: Martin Guy <martinwguy@gmail.com>
To: Luk Claes <luk@debian.org>
Cc: 547525@bugs.debian.org, debian-arm@lists.debian.org, joeyh@debian.org
Subject: Re: FTBFS on armel: 'OV_CALLBACKS_STREAMONLY' undeclared
Date: Sun, 20 Sep 2009 21:40:39 +0100
On 9/20/09, Luk Claes <luk@debian.org> wrote:
>  Maybe it's an option to revert using libvorbisidec-dev and use
>  libvorbis-dev again on armel to fix the FTBFS of mpd?
>
>  debian-arm and Joey Cc-ed so they can give input as I'm unsure if
>  current ARM hardware does have floating point support to make this
>  reasonable.

armel is soft-float so yes, being able to use tremor would give a huge
speed increase.

     M




Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#547525; Package mpd. (Sun, 20 Sep 2009 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Max Kellermann <max@duempel.org>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Sun, 20 Sep 2009 21:45:03 GMT) Full text and rfc822 format available.

Message #20 received at 547525@bugs.debian.org (full text, mbox):

From: Max Kellermann <max@duempel.org>
To: Luk Claes <luk@debian.org>, 547525@bugs.debian.org
Subject: Re: Bug#547525: FTBFS on armel: 'OV_CALLBACKS_STREAMONLY' undeclared
Date: Sun, 20 Sep 2009 23:34:42 +0200
On 2009/09/20 16:00, Luk Claes <luk@debian.org> wrote:
> mpd fails to build on armel with the following message (more info in
> the full build log on buildd.d.o). This is currently one of the
> blockers for the faad2 transition.

This fails on older libvorbis versions.  For 0.15.4, we have reverted
the patch which uses the new API; will be released soon.

 http://git.musicpd.org/cgit/master/mpd.git/commit/?h=v0.15.x&id=a99202a8a4ebda1fcbedb3b024cab3b25c63adad




Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#547525; Package mpd. (Sun, 20 Sep 2009 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Sun, 20 Sep 2009 23:24:03 GMT) Full text and rfc822 format available.

Message #25 received at 547525@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Luk Claes <luk@debian.org>
Cc: 547525@bugs.debian.org, debian-arm@lists.debian.org
Subject: Re: FTBFS on armel: 'OV_CALLBACKS_STREAMONLY' undeclared
Date: Sun, 20 Sep 2009 19:13:31 -0400
[Message part 1 (text/plain, inline)]
Luk Claes wrote:
> Maybe it's an option to revert using libvorbisidec-dev and use
> libvorbis-dev again on armel to fix the FTBFS of mpd?
> 
> debian-arm and Joey Cc-ed so they can give input as I'm unsure if
> current ARM hardware does have floating point support to make this
> reasonable.

ARM hardware certianly has floating point hardware, and with EABI
binaries can be built that use it on the otherwise softfloat system. 
But different ARM systems have different FPUs, and so it would be very
hard to get coverage for all/most of them.

Luckily, I see in the bug report that vorbis upstream seems to have
fixed the FTBFS.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#547525; Package mpd. (Mon, 21 Sep 2009 00:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Mon, 21 Sep 2009 00:57:03 GMT) Full text and rfc822 format available.

Message #30 received at 547525@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Joey Hess <joeyh@debian.org>
Cc: Luk Claes <luk@debian.org>, 547525@bugs.debian.org, debian-arm@lists.debian.org
Subject: Re: FTBFS on armel: 'OV_CALLBACKS_STREAMONLY' undeclared
Date: Sun, 20 Sep 2009 20:51:00 -0400
[Message part 1 (text/plain, inline)]
On 09/20/2009 07:13 PM, Joey Hess wrote:
> Luckily, I see in the bug report that vorbis upstream seems to have
> fixed the FTBFS.

I'm hoping to get a new version of libvorbisidec pulled from upstream's
svn r16259 packaged and uploaded in the next day or so.  When i get that
sorted, i'll see if that resolves the mpd problem.

I should note that i have some concerns about tremor on armel in general
that haven't been addressed by upstream (and i haven't been able to sort
out):

  http://lists.xiph.org/pipermail/tremor/2009-April/001564.html

Maybe this update will cover those changes as well.

	--dkg

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#547525; Package mpd. (Mon, 21 Sep 2009 11:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Guy <martinwguy@gmail.com>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Mon, 21 Sep 2009 11:21:05 GMT) Full text and rfc822 format available.

Message #35 received at 547525@bugs.debian.org (full text, mbox):

From: Martin Guy <martinwguy@gmail.com>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Cc: Joey Hess <joeyh@debian.org>, Luk Claes <luk@debian.org>, 547525@bugs.debian.org, debian-arm@lists.debian.org
Subject: Re: FTBFS on armel: 'OV_CALLBACKS_STREAMONLY' undeclared
Date: Mon, 21 Sep 2009 11:59:06 +0100
On 9/21/09, Daniel Kahn Gillmor <dkg@fifthhorseman.net> wrote:
>  I should note that i have some concerns about tremor on armel in general
>  that haven't been addressed by upstream (and i haven't been able to sort
>  out):
>
>   http://lists.xiph.org/pipermail/tremor/2009-April/001564.html
>
>  Maybe this update will cover those changes as well.

I just tried this, and it's doing a misaligned word access:

$ gdb ./ivorbisfile_example.armel
(gdb) run < *ogg > armel
Starting program:
/home/martin/cluster/arm/libvorbisidec-debug-2009-04-24/ivorbisfile_example.armel
< *ogg > armel

Bitstream is 2 channel, 44100Hz

Decoded length: 324300 samples
Encoded by: Xiph.Org libVorbis I 20070622

Program received signal SIGBUS, Bus error.
0x4004eaa0 in ov_read () from /usr/lib/libvorbisidec.so.1
(gdb)

To get the bus error you need to have
# echo 5 > /proc/cpu/alignment

the default setting (0) silently returns junk, specifically, the word
from addr&~3 rotated by (addr&3)*8 bits, which is less than useful.

Another setting, 3, catches the alignment trap, fakes "the right
thing" in the kernel and returns what you would get on a byte-aligned
machine; that would quickly tell you whether fixing the alignment
error will fix the problem.

    M




Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#547525; Package mpd. (Mon, 21 Sep 2009 11:30:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Guy <martinwguy@gmail.com>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Mon, 21 Sep 2009 11:30:10 GMT) Full text and rfc822 format available.

Message #40 received at 547525@bugs.debian.org (full text, mbox):

From: Martin Guy <martinwguy@gmail.com>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Cc: Joey Hess <joeyh@debian.org>, Luk Claes <luk@debian.org>, 547525@bugs.debian.org, debian-arm@lists.debian.org
Subject: Re: FTBFS on armel: 'OV_CALLBACKS_STREAMONLY' undeclared
Date: Mon, 21 Sep 2009 12:13:37 +0100
On 9/21/09, Martin Guy <martinwguy@gmail.com> wrote:
> I just tried this, and it's doing a misaligned word access:

Sorry, my mistake. It's pumping misaligned half-word (16-bit)
accesses, which again returns some form of garbage, probably either
the correct value if it's from the middle of a 4-byte word or some
combination of the word's top and bottom bytes if the halfword
straddles a 4-byte boundary.
The fixup trap is incredibly slow, so the whole test will take 3 hours
but the first 65536 bytes of output are identical to the i386 output,
which suggests that this is it

   M




Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#547525; Package mpd. (Mon, 21 Sep 2009 15:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Mon, 21 Sep 2009 15:12:05 GMT) Full text and rfc822 format available.

Message #45 received at 547525@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Martin Guy <martinwguy@gmail.com>
Cc: Joey Hess <joeyh@debian.org>, Luk Claes <luk@debian.org>, 547525@bugs.debian.org, debian-arm@lists.debian.org
Subject: Re: FTBFS on armel: 'OV_CALLBACKS_STREAMONLY' undeclared
Date: Mon, 21 Sep 2009 10:52:46 -0400
[Message part 1 (text/plain, inline)]
On 09/21/2009 07:13 AM, Martin Guy wrote:
> On 9/21/09, Martin Guy <martinwguy@gmail.com> wrote:
>> I just tried this, and it's doing a misaligned word access:
> 
> Sorry, my mistake. It's pumping misaligned half-word (16-bit)
> accesses, which again returns some form of garbage, probably either
> the correct value if it's from the middle of a 4-byte word or some
> combination of the word's top and bottom bytes if the halfword
> straddles a 4-byte boundary.
> The fixup trap is incredibly slow, so the whole test will take 3 hours
> but the first 65536 bytes of output are identical to the i386 output,
> which suggests that this is it

Martin, thank you very much!

I'll upgrade libvorbisidec to the head of upstream's svn and see if i
can replicate the misbehavior.  If it persists, i'll track down the
specific error and produce a patch if possible, or i'll post a more
detailed debugging log to the debian-arm and tremor lists if i get stuck.

Regards,

	--dkg

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#547525; Package mpd. (Tue, 22 Sep 2009 20:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Tue, 22 Sep 2009 20:36:08 GMT) Full text and rfc822 format available.

Message #50 received at 547525@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Joey Hess <joeyh@debian.org>
Cc: Luk Claes <luk@debian.org>, 547525@bugs.debian.org, debian-arm@lists.debian.org
Subject: Re: FTBFS on armel: 'OV_CALLBACKS_STREAMONLY' undeclared
Date: Tue, 22 Sep 2009 16:01:32 -0400
[Message part 1 (text/plain, inline)]
On 09/20/2009 07:13 PM, Joey Hess wrote:
> ARM hardware certianly has floating point hardware, and with EABI
> binaries can be built that use it on the otherwise softfloat system. 
> But different ARM systems have different FPUs, and so it would be very
> hard to get coverage for all/most of them.
> 
> Luckily, I see in the bug report that vorbis upstream seems to have
> fixed the FTBFS.

I've packaged (and am about to upload) libvorbisidec (tremor) based on
upstream's svn revision 16259 (this covers the most recent changeset
from http://svn.xiph.org/trunk/Tremor)

However, the new package doesn't seem to resolve the FTBFS for mpd
15.3-1 on armel.

Indeed, there is no instance of OV_CALLBACKS_STREAMONLY in the tremor
source that i can tell.

So i'm probably misunderstanding something in the exchange above.  Joey,
can you point more specifically to the fix from vorbis upstream that
you're talking about?

sorry to be slow on the uptake here,

	--dkg

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#547525; Package mpd. (Tue, 22 Sep 2009 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Tue, 22 Sep 2009 21:57:04 GMT) Full text and rfc822 format available.

Message #55 received at 547525@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Cc: 547525@bugs.debian.org, debian-arm@lists.debian.org
Subject: Re: FTBFS on armel: 'OV_CALLBACKS_STREAMONLY' undeclared
Date: Tue, 22 Sep 2009 16:36:04 -0400
[Message part 1 (text/plain, inline)]
Daniel Kahn Gillmor wrote:
> I've packaged (and am about to upload) libvorbisidec (tremor) based on
> upstream's svn revision 16259 (this covers the most recent changeset
> from http://svn.xiph.org/trunk/Tremor)
> 
> However, the new package doesn't seem to resolve the FTBFS for mpd
> 15.3-1 on armel.
> 
> Indeed, there is no instance of OV_CALLBACKS_STREAMONLY in the tremor
> source that i can tell.
> 
> So i'm probably misunderstanding something in the exchange above.  Joey,
> can you point more specifically to the fix from vorbis upstream that
> you're talking about?
> 
> sorry to be slow on the uptake here,

I misread where the fix was. This commit to mpd is where the fix
resides, apparently.

http://git.musicpd.org/cgit/master/mpd.git/commit/?h=v0.15.x&id=a99202a8a4ebda1fcbedb3b024cab3b25c63adad

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#547525; Package mpd. (Thu, 01 Oct 2009 10:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Mutricy <xtophe@chewa.net>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Thu, 01 Oct 2009 10:33:14 GMT) Full text and rfc822 format available.

Message #60 received at 547525@bugs.debian.org (full text, mbox):

From: Christophe Mutricy <xtophe@chewa.net>
To: 547525@bugs.debian.org, debian-arm@lists.debian.org
Subject: NMU
Date: Thu, 1 Oct 2009 11:06:00 +0100
Hello,

I attend to upload a 0-day NMU to fix this FTBFS as soon as I find a sponsor.

Debdiff and diif.gz can be found at http://people.videolan.org/~xtophe/debian


-- 
Xtophe




Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#547525; Package mpd. (Thu, 01 Oct 2009 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Max Kellermann <max@duempel.org>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Thu, 01 Oct 2009 11:39:03 GMT) Full text and rfc822 format available.

Message #65 received at 547525@bugs.debian.org (full text, mbox):

From: Max Kellermann <max@duempel.org>
To: Christophe Mutricy <xtophe@chewa.net>, 547525@bugs.debian.org
Cc: debian-arm@lists.debian.org
Subject: Re: Bug#547525: NMU
Date: Thu, 1 Oct 2009 12:37:15 +0200
On 2009/10/01 12:06, Christophe Mutricy <xtophe@chewa.net> wrote:
> I attend to upload a 0-day NMU to fix this FTBFS as soon as I find a
> sponsor.
> 
> Debdiff and diif.gz can be found at
> http://people.videolan.org/~xtophe/debian

Not sure if it's worth it.  We will release MPD 0.15.4 on the upcoming
weekend, which includes the revert commit.




Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#547525; Package mpd. (Thu, 01 Oct 2009 11:51:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Mutricy <xtophe@videolan.org>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Thu, 01 Oct 2009 11:51:18 GMT) Full text and rfc822 format available.

Message #70 received at 547525@bugs.debian.org (full text, mbox):

From: Christophe Mutricy <xtophe@videolan.org>
To: 547525@bugs.debian.org
Subject: mpd: diff for NMU version 0.15.3-1.1
Date: Thu, 1 Oct 2009 12:46:10 +0200
[Message part 1 (text/plain, inline)]
tags 547525 + patch
thanks

Dear maintainer,

I've prepared an NMU for mpd (versioned as 0.15.3-1.1). The diff
is attached to this message.

Regards.
[mpd-0.15.3-1.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Christophe Mutricy <xtophe@videolan.org> to control@bugs.debian.org. (Thu, 01 Oct 2009 11:51:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Decklin Foster <decklin@red-bean.com>:
Bug#547525; Package mpd. (Thu, 01 Oct 2009 11:54:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Mutricy <xtophe@chewa.net>:
Extra info received and forwarded to list. Copy sent to Decklin Foster <decklin@red-bean.com>. (Thu, 01 Oct 2009 11:54:12 GMT) Full text and rfc822 format available.

Message #77 received at 547525@bugs.debian.org (full text, mbox):

From: Christophe Mutricy <xtophe@chewa.net>
To: Max Kellermann <max@duempel.org>
Cc: 547525@bugs.debian.org, debian-arm@lists.debian.org
Subject: Re: Bug#547525: NMU
Date: Thu, 1 Oct 2009 11:52:59 +0100
Hello,

2009/10/1 Max Kellermann <max@duempel.org>:
> On 2009/10/01 12:06, Christophe Mutricy <xtophe@chewa.net> wrote:
>> I attend to upload a 0-day NMU to fix this FTBFS as soon as I find a
>> sponsor.

> Not sure if it's worth it.  We will release MPD 0.15.4 on the upcoming
> weekend, which includes the revert commit.

But we got no assurance that Decklan (the maintaner) will have spare
time soon to package this new upstream version.

mpd on armel is blocking the faad2/libass/...  transition that's why
getting mpd ro build is important



-- 
Xtophe




Reply sent to Christophe Mutricy <xtophe@videolan.org>:
You have taken responsibility. (Thu, 01 Oct 2009 12:24:23 GMT) Full text and rfc822 format available.

Notification sent to Luk Claes <luk@debian.org>:
Bug acknowledged by developer. (Thu, 01 Oct 2009 12:24:23 GMT) Full text and rfc822 format available.

Message #82 received at 547525-close@bugs.debian.org (full text, mbox):

From: Christophe Mutricy <xtophe@videolan.org>
To: 547525-close@bugs.debian.org
Subject: Bug#547525: fixed in mpd 0.15.3-1.1
Date: Thu, 01 Oct 2009 11:32:22 +0000
Source: mpd
Source-Version: 0.15.3-1.1

We believe that the bug you reported is fixed in the latest version of
mpd, which is due to be installed in the Debian FTP archive:

mpd-dbg_0.15.3-1.1_i386.deb
  to pool/main/m/mpd/mpd-dbg_0.15.3-1.1_i386.deb
mpd_0.15.3-1.1.diff.gz
  to pool/main/m/mpd/mpd_0.15.3-1.1.diff.gz
mpd_0.15.3-1.1.dsc
  to pool/main/m/mpd/mpd_0.15.3-1.1.dsc
mpd_0.15.3-1.1_i386.deb
  to pool/main/m/mpd/mpd_0.15.3-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 547525@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christophe Mutricy <xtophe@videolan.org> (supplier of updated mpd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 30 Sep 2009 19:56:48 +0200
Source: mpd
Binary: mpd mpd-dbg
Architecture: source i386
Version: 0.15.3-1.1
Distribution: unstable
Urgency: low
Maintainer: Decklin Foster <decklin@red-bean.com>
Changed-By: Christophe Mutricy <xtophe@videolan.org>
Description: 
 mpd        - Music Player Daemon
 mpd-dbg    - Music Player Daemon debugging symbols
Closes: 547525
Changes: 
 mpd (0.15.3-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Apply patch taken from upstream to workaround tremor headers
     (Closes: #547525)
Checksums-Sha1: 
 2b74b799b51c9ec9d05cf6b5d26527dcea82682f 1704 mpd_0.15.3-1.1.dsc
 fcf2ddf3d8b9fd420aeb5de1658767ccd64d0be7 15701 mpd_0.15.3-1.1.diff.gz
 150bd72538164dd81e60dcc47c913739c2e2b46e 175000 mpd_0.15.3-1.1_i386.deb
 7cf8ded9627890dce40da97eff4e0149fd73fc5b 402106 mpd-dbg_0.15.3-1.1_i386.deb
Checksums-Sha256: 
 a8cade2c25f14f811c62e560c958a5acfcf4f776dd8ca19817a48baa81b88e2c 1704 mpd_0.15.3-1.1.dsc
 06db7c1c7d6ca5113e988f9c13b9577d4074c7601e7517893e5a266aa4893360 15701 mpd_0.15.3-1.1.diff.gz
 a122fce14bffc20e8f056cf8f537804dc0fce9f51b1baa127be7055503813559 175000 mpd_0.15.3-1.1_i386.deb
 c7fbd1892a563ffd7174c2f12ae01e42b8adf95ace5adcff36b9946d15ddf102 402106 mpd-dbg_0.15.3-1.1_i386.deb
Files: 
 67ab040b22046e5098d177edb979b95a 1704 sound optional mpd_0.15.3-1.1.dsc
 18597bd921d66f210fd8b5beb29aaccf 15701 sound optional mpd_0.15.3-1.1.diff.gz
 2f1a7d6002732f2a41a53b3a4ebd7b9f 175000 sound optional mpd_0.15.3-1.1_i386.deb
 8379c6d9a9c58e224a9824c5d7b76a01 402106 debug extra mpd-dbg_0.15.3-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Debian Powered!

iJwEAQECAAYFAkrEkcsACgkQ78RAoABp8o+9cAP9EJA6i6vqIc4FZG0T09uBUIQ2
IWh84+g9uQ53YZucm1/AtITBJB3C2Q43O4afocgRHWWNpx8i8AefMTsLekZnZqq5
ch+rrPZede7Uq3Gr3NqGKLQfNDo+93rsTWqtjaElQAe13TOYb6pk73sw/VUl+kuN
OX4F0QPLQ3eri//+r50=
=WE26
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Nov 2009 07:34:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:40:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.